Bug 169681 - 2.6.13-1.1542_FC5 e1000 Oops
2.6.13-1.1542_FC5 e1000 Oops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 21:54 EDT by taj
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 14:53:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Oops untainted upon unplugging cat5 (4.88 KB, text/plain)
2005-09-30 21:54 EDT, taj
no flags Details

  None (edit)
Description taj 2005-09-30 21:54:53 EDT
Description of problem:

This may just be a box on its last leg but I'm going to file the report in case
everyone is watching for like reports.

Losing network connection, replug cat5 usually fixes but sometimes Oops.  New
with this kernel.

Sep 30 18:42:30 servertrent kernel: Call Trace:
Sep 30 18:42:30 servertrent kernel:  [<c0391540>] skb_release_data+0x62/0x75
Sep 30 18:42:30 servertrent kernel:  [<c039155b>] kfree_skbmem+0x8/0x6f
Sep 30 18:42:30 servertrent kernel:  [<d0905b36>]
e1000_clean_tx_ring+0x18b/0x20d [e1000]
Sep 30 18:42:30 servertrent kernel:  [<d0907b67>] e1000_tx_timeout_task+0x0/0x18
[e1000]


Version-Release number of selected component (if applicable):

2.6.13-1.1542_FC5


How reproducible:

The card is reliable for ~5 hours then will the connection will die several (10)
times/hour with resetting the cable fixing the problem.  The oops has happened
twice in a week.  The first Oops was tainted with vmware modules and crashed in
them.  The second (reported) Oops is not tainted.

Additional info:

This machine may be having power supply or other issues.  The machine leaves
ps/2 and usb keyboards unusuable but a usb mouse plugged into the USB keyboard
continues to work.

It has been common for this machine to lose the USB mouse and repluggin it
restores the mouse.  New with this kernel is the loss of keyboard(s) and network
connections.

The box is 
HP XV976
ASUS P4T
256 MB PC600 RDRAM
Intel Pentium 4/1.5 GHz
second eide card, hp500 pvr
1.5 year old Intel Ethernet Pro 1000
Stuffed full of HDs

Boot log

Sep 30 18:05:16 servertrent kernel: Intel(R) PRO/1000 Network Driver - version
6.0.60-k2-NAPI
Sep 30 18:05:16 servertrent kernel: Copyright (c) 1999-2005 Intel Corporation.
Sep 30 18:05:16 servertrent kernel: PCI: Enabling device 0000:02:09.0 (0114 -> 0117)
Sep 30 18:05:16 servertrent kernel: ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 9
Sep 30 18:05:16 servertrent kernel: ACPI: PCI Interrupt 0000:02:09.0[A] -> Link
[LNKB] -> GSI 9 (level, low) -> IRQ 9
Sep 30 18:05:16 servertrent kernel: e1000: eth0: e1000_probe: Intel(R) PRO/1000
Network Connection
Sep 30 18:05:16 servertrent kernel: PCI: Enabling device 0000:02:06.0 (0104 -> 0105)
Sep 30 18:05:16 servertrent kernel: ACPI: PCI Interrupt 0000:02:06.0[A] -> Link
[LNKC] -> GSI 9 (level, low) -> IRQ 9

Oops attached.  usb activity afterwards is me trying to replug/regain the keyboard.
Comment 1 taj 2005-09-30 21:54:54 EDT
Created attachment 119496 [details]
Oops untainted upon unplugging cat5
Comment 2 Warren Togami 2005-10-01 00:13:33 EDT
http://www.memtest.org/
Have you tested it with memtest86+ in order to be 100% sure you don't have bad RAM?
Comment 3 taj 2005-10-01 01:00:18 EDT
Hi Warren

memtest+ 1.60 has made three successful passes.  I'll let it spin for a day just
to be sure.
Comment 4 taj 2005-10-02 01:04:55 EDT
memtest+ 1.60 ran for 24 hours.  137 passes.  Nothing failed.  I'd have expected
the problem to show in that timeframe.

I'll be rebooting to whatever rawhide latest is but have preserved this rpm if
it is interesting to test further.

This box is 4+ years old.  I dont expect commodity (HP) PCs to last 5 years. 
Any software support gets questionable at 4.

But the bug is there for those interested.  If it is interesting, I can drop
back to the test case.
Comment 5 John W. Linville 2006-02-07 14:43:45 EST
e1000 has had a lot of updates...is this still an issue? 
Comment 6 taj 2006-02-07 14:53:47 EST
no.  Closing.

Thanks for the followup.

The usb mouse is still insane on the box but e1000 is working 
flawlessly.

Note You need to log in before you can comment on or make changes to this bug.